/**
 * -----------------------------------------------------------------------------
 * (c) 2016-2021 Pine Grove Software, LLC -- All rights reserved.
 * Contact: webmaster@financial-calculators.com
 * License: GPL2
 * www.financial-calculators.com
 * -----------------------------------------------------------------------------
 * Common code and global variables.
 * -----------------------------------------------------------------------------
 * compiled at: http://closure-compiler.appspot.com/home
 */

/* required for JSLint processing */
/*global wp: false */
/*jslint nomen: true, vars: true, sub: true */


/** 
 * @preserve Copyright 2016-2022 Pine Grove Software, LLC
 * financial-calculators.com
 * License: GPL2
 * strs.RETIRE-AGE-WIDGET.gpl.js
 */

// eslint-disable-next-line no-unused-vars
var FC$ = {}; 


/** 
 * @nocollapse
 * @return {Object}
 */
FC$ = (function (FC) {
	'use strict';

	// var FC = {};

	// const {__, _x, _n, sprintf} = wp.i18n;

	FC.strs = {
		// TRANSLATORS: ISO's language code en=English
		s000: wp.i18n.__('en', 'fc-retirement-age-calculator'),
		s001: wp.i18n.__('Please use the backspace key to delete.', 'fc-retirement-age-calculator'),
		s002: wp.i18n.__('Left, up & down arrow keys are disabled. So are the home, end, pgup and pgdn keys.', 'fc-retirement-age-calculator'),
		s003: wp.i18n.__('Use backspace to delete.', 'fc-retirement-age-calculator'),
		s004: wp.i18n.__('If value is selected, just start typing new value to clear prior value.', 'fc-retirement-age-calculator'),
		s005: wp.i18n.__('When a number is selected (value shown in inverse), use right arrow key to clear selection without clearing value. Then backspace to edit.', 'fc-retirement-age-calculator'),
		s006: wp.i18n.__('TIP: Generally it is best to use the TAB or SHIFT-TAB keys to move from one input to the next or previous input.', 'fc-retirement-age-calculator'),
		s007: wp.i18n.__('TIP 2: Generally, editing a value is inefficient. Since values are auto selected, just type the number you want.', 'fc-retirement-age-calculator'),
		s008: wp.i18n.__('Do not type the thousand separator character.', 'fc-retirement-age-calculator'),
		s009: wp.i18n.__('(If using US convention, that would be the comma.)', 'fc-retirement-age-calculator'),
		s010: wp.i18n.__('I\'m smart enough to enter them for you!', 'fc-retirement-age-calculator'),
		s011: wp.i18n.__('An unknown date calculation error occurred.', 'fc-retirement-age-calculator'),
		s012: wp.i18n.__('Please provide us with your inputs and settings so that we can fix this. Thank you.', 'fc-retirement-age-calculator'),
		s013: wp.i18n.__('Date is not valid - bad year.', 'fc-retirement-age-calculator'),
		s014: wp.i18n.__('Jan', 'fc-retirement-age-calculator'),
		s015: wp.i18n.__('Feb', 'fc-retirement-age-calculator'),
		s016: wp.i18n.__('Mar', 'fc-retirement-age-calculator'),
		s017: wp.i18n.__('Apr', 'fc-retirement-age-calculator'),
		s018: wp.i18n.__('May', 'fc-retirement-age-calculator'),
		s019: wp.i18n.__('Jun', 'fc-retirement-age-calculator'),
		s020: wp.i18n.__('Jul', 'fc-retirement-age-calculator'),
		s021: wp.i18n.__('Aug', 'fc-retirement-age-calculator'),
		s022: wp.i18n.__('Sept', 'fc-retirement-age-calculator'),
		s023: wp.i18n.__('Oct', 'fc-retirement-age-calculator'),
		s024: wp.i18n.__('Nov', 'fc-retirement-age-calculator'),
		s025: wp.i18n.__('Dec', 'fc-retirement-age-calculator'),
		s026: wp.i18n.__('Error: dates out of sequence.', 'fc-retirement-age-calculator'),
		s027: wp.i18n.__('Exception', 'fc-retirement-age-calculator'),
		s028: wp.i18n.__('occurred when accessing', 'fc-retirement-age-calculator'),
		s029: wp.i18n.__('Invalid index', 'fc-retirement-age-calculator'),
		// from eq.RETIRE-AGE-WIDGET.gpl.js
		// s100: wp.i18n.__('Internal limit reached. Balance exceeds +/- 99 trillion.', 'fc-retirement-age-calculator'),
		s101: wp.i18n.__('YTD', 'fc-retirement-age-calculator'),
		s102: wp.i18n.__('Running Totals', 'fc-retirement-age-calculator'),
		// from sc.RETIRE-AGE-WIDGET.gpl.js
		s201: wp.i18n.__('Your Personalized Retirement Schedule', 'fc-retirement-age-calculator'),
		// s202: wp.i18n.__('Last payment amount decreased by', 'fc-retirement-age-calculator'),
		// s203: wp.i18n.__('due to rounding', 'fc-retirement-age-calculator'),
		// s204: wp.i18n.__('Last payment amount increased by', 'fc-retirement-age-calculator'),
		s205: wp.i18n.__('Retirement Plan Summary', 'fc-retirement-age-calculator'),
		s206: wp.i18n.__('Total Investmented', 'fc-retirement-age-calculator'),
		s207: wp.i18n.__('Number of Investments', 'fc-retirement-age-calculator'),
		s208: wp.i18n.__('Return on Investment (ROI)', 'fc-retirement-age-calculator'),
		s209: wp.i18n.__('Total Gain', 'fc-retirement-age-calculator'),
		s210: wp.i18n.__('Last Cash Flow Date', 'fc-retirement-age-calculator'),
		s211: wp.i18n.__('Years', 'fc-retirement-age-calculator'),
		// s212: wp.i18n.__('Loan Date', 'fc-retirement-age-calculator'),
		// s213: wp.i18n.__('1st Payment Due', 'fc-retirement-age-calculator'),
		// s214: wp.i18n.__('Payment Frequency', 'fc-retirement-age-calculator'),
		// s215: wp.i18n.__('Last Payment Due', 'fc-retirement-age-calculator'),
		// s216: wp.i18n.__('Total Interest Due', 'fc-retirement-age-calculator'),
		// s217: wp.i18n.__('Total All Payments', 'fc-retirement-age-calculator'),
		s218: wp.i18n.__('Investment Schedule', 'fc-retirement-age-calculator'),
		s219: wp.i18n.__('Year', 'fc-retirement-age-calculator'),
		s220: wp.i18n.__('Date', 'fc-retirement-age-calculator'),
		s221: wp.i18n.__('Investment', 'fc-retirement-age-calculator'),
		s222: wp.i18n.__('Investment Gain', 'fc-retirement-age-calculator'),
		s223: wp.i18n.__('Net Change', 'fc-retirement-age-calculator'),
		s224: wp.i18n.__('Balance', 'fc-retirement-age-calculator'),
		// s225: wp.i18n.__('Calculation method: Normal', 'fc-retirement-age-calculator'),
		s226: wp.i18n.__('Annual Investment', 'fc-retirement-age-calculator'),
		s227: wp.i18n.__('Annual Interest', 'fc-retirement-age-calculator'),
		s228: wp.i18n.__('Change in Balance', 'fc-retirement-age-calculator'),
		s229: wp.i18n.__('Annual Investment and Interest Totals', 'fc-retirement-age-calculator'),
		s230: wp.i18n.__('Accumulated Investment and Interest', 'fc-retirement-age-calculator'),
		s231: wp.i18n.__('Amount Invested & Interest as Percentage of Total Value', 'fc-retirement-age-calculator'),
		// s232: wp.i18n.__('Loan', 'fc-retirement-age-calculator'),
		s233: wp.i18n.__('"Net Change" is change from prior period i.e. prior balance plus investment, plus gain on investment (interest).', 'fc-retirement-age-calculator'),
		s234: wp.i18n.__('Running Investment', 'fc-retirement-age-calculator'),
		s235: wp.i18n.__('Running Interest', 'fc-retirement-age-calculator'),
		s236: wp.i18n.__('Total Deposits', 'fc-retirement-age-calculator'),
		s237: wp.i18n.__('Total Interest Earned', 'fc-retirement-age-calculator'),
		s238: wp.i18n.__('Total Value', 'fc-retirement-age-calculator'),
		s239: wp.i18n.__('Pct. of Total', 'fc-retirement-age-calculator'),
		// interface.SHARED-WIDGET.gpl.js has no strings
		// interface.RETIRE-AGE-WIDGET.gpl.js
		s401: wp.i18n.__('Current age must be greater than 0.', 'fc-retirement-age-calculator'),
		s402: wp.i18n.__('There are unknown values.', 'fc-retirement-age-calculator'),
		s403: wp.i18n.__('Please make sure all values are entered.', 'fc-retirement-age-calculator'),
		s404: wp.i18n.__('"Current Retirement Savings" can be 0.', 'fc-retirement-age-calculator'),
		s405: wp.i18n.__('Your retirement age would be after age 100.', 'fc-retirement-age-calculator'),
		s406: wp.i18n.__('Increase investment amount.', 'fc-retirement-age-calculator'),
		s407: wp.i18n.__('Increase assumed rate of return.', 'fc-retirement-age-calculator'),
		s408: wp.i18n.__('Increase current retirement savings.', 'fc-retirement-age-calculator'),
		s409: wp.i18n.__('Or do any combination of all three.', 'fc-retirement-age-calculator')

	};


	return FC;
}(FC$));
